package sample.sample_c;

import static sample.sample_c.ジャンケン.*;
import static sample.sample_c.勝敗.*;

public class enumジャンケン {

public static 勝敗 判定(ジャンケン val1, ジャンケン val2) {
		if (val1 == グー) {
			return グー対XXXの判定(val2);
		} else if (val1 == チョキ) {
			return チョキ対XXXの判定(val2);
		} else {
			return パー対XXXの判定(val2);
		}
	}

	private static 勝敗 パー対XXXの判定(ジャンケン val2) {
		if (val2 == グー) {
			return 第一引数の勝ち;
		} else if (val2 == チョキ) {
			return 第二引数の勝ち;
		} else {
			return あいこ;
		}
	}

	private static 勝敗 チョキ対XXXの判定(ジャンケン val2) {
		if (val2 == グー) {
			return 第二引数の勝ち;
		} else if (val2 == チョキ) {
			return あいこ;
		} else {
			return 第一引数の勝ち;
		}
	}

	private static 勝敗 グー対XXXの判定(ジャンケン val2) {
		if (val2 == グー) {
			return あいこ;
		} else if (val2 == チョキ) {
			return 第一引数の勝ち;
		} else {
			return 第二引数の勝ち;
		}
	}
}
